vodyanoi
Contributor
Contributor

Agent installation issue

While trying to install hyperic agent on a server we get the following error

C:\hq-agent-4.4.0\bin>hq-agent install
wrapper | Hyperic HQ Agent installed.

C:\hq-agent-4.4.0\bin>hq-agent start
wrapper | Starting the Hyperic HQ Agent service...
wrapper | Hyperic HQ Agent started.
[ Running agent setup ]
What is the HQ server IP address: 192.168.0.197
Should Agent communications to HQ always be secure [default=no]:
What is the HQ server port [default=7080]:
- Testing insecure connection ... Success
What is your HQ login [default=hqadmin]:
What is your HQ password:
What IP should HQ use to contact the agent [default=192.168.0.179]:
What port should HQ use to contact the agent [default=2144]:
- Received temporary auth token from agent
- Registering agent with HQ
org.hyperic.hq.bizapp.client.AgentCallbackClientException:
Remote error while invoking 'registerAgent: org.hyperic.lather.LatherRemoteException:
Runtime exception: could not execute query
at org.hyperic.hq.bizapp.client.AgentCallbackClient.invokeLatherCall(AgentCallbackClient.java:201)
at org.hyperic.hq.bizapp.client.BizappCallbackClient.registerAgent(BizappCallbackClient.java:135)
at org.hyperic.hq.bizapp.agent.client.AgentClient.cmdSetup(AgentClient.java:811)
at org.hyperic.hq.bizapp.agent.client.AgentClient.cmdSetupIfNoProvider(AgentClient.java:520)
at org.hyperic.hq.bizapp.agent.client.AgentClient.main(AgentClient.java:1286)
Caused by: org.hyperic.lather.LatherRemoteException: org.hyperic.lather.LatherRemoteException:
Runtime exception: could not execute query
at org.hyperic.lather.client.LatherHTTPClient.invoke(LatherHTTPClient.java:124)
at org.hyperic.hq.bizapp.client.AgentCallbackClient.invokeLatherCall(AgentCallbackClient.java:157)
... 4 more
- Error registering agent: Remote error while invoking 'registerAgent: org.hyper
ic.lather.LatherRemoteException: Runtime exception: could not execute query

C:\hq-agent-4.4.0\bin>

The Agent is installed on windows Server 2003 R2 standard 32 bit.

Server and agent are both release 4.4.0 and we have other agents installed and working fine.

Can someone please suggest how we resolve this?

regards


Spencer
0 Kudos
0 Replies